## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global _default_patch_fuzz 2
Name:           deepin-editor
Version:        5.10.18
Release:        %autorelease
Summary:        Simple editor for Linux Deepin
License:        GPLv3
URL:            https://github.com/linuxdeepin/deepin-editor
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         https://raw.githubusercontent.com/archlinux/svntogit-community/45c68761ad09e178a2b4be63bc7e2367019f556b/trunk/fix-include.patch

BuildRequires:  gcc-c++
BuildRequires:  freeimage-devel
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(DFrameworkdbus)
BuildRequires:  pkgconfig(dtkwidget) >= 2.0.6
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-linguist
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel
BuildRequires:  enca-devel
BuildRequires:  uchardet-devel
BuildRequires:  libchardet-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  libicu-devel

Requires:       deepin-notifications
Requires:       deepin-qt5integration
Recommends:     deepin-manual

%description
%{summary}.

%prep
%autosetup -p1

%build
export PATH=%{_qt5_bindir}:$PATH
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build

%install
%cmake_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/deepin-manual/

%changelog
* Mon Aug 01 2022 František Zatloukal <fzatlouk@redhat.com> 5.10.18-4
- Rebuilt for ICU 71.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.10.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> 5.10.18-2
- Rebuild (qt5)

* Sat Jun 18 2022 Robin Lee <cheeselee@fedoraproject.org> 5.10.18-1
- New release 5.10.18

* Thu May 19 2022 Jan Grulich <jgrulich@redhat.com> 5.10.14-3
- Fix KF5 includes

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> 5.10.14-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> 5.10.14-1
- New release 5.10.14

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> 5.9.14-3
- Rebuild (qt5)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.9.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 05 2021 Robin Lee <cheeselee@fedoraproject.org> 5.9.14-1
- New release 5.9.14

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> 5.9.0.52-1
- New release 5.9.0.52

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.24-1
- fix: 更新桌面翻译 (ut000616)
- fix: 修复bug (ut001763)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.11-1
- new upstream release: 5.9.0.11

* Mon Nov 23 07:49:33 CET 2020 Jan Grulich <jgrulich@redhat.com> - 5.9.0.3-2
- rebuild (qt5)

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.3-1
- new upstream release: 5.9.0.3

* Fri Sep 11 2020 Jan Grulich <jgrulich@redhat.com> - 1.2.9.1-8
- rebuild (qt5)

* Fri Aug  7 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.2.9.1-7
- Improve compatibility with new CMake macro

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9.1-7
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Apr 06 2020 Rex Dieter <rdieter@fedoraproject.org> - 1.2.9.1-5
- rebuild (qt5)

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 09 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.9.1-3
- rebuild (qt5)

* Wed Sep 25 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.9.1-2
- rebuild (qt5)

* Sun Aug 11 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.9.1-1
- Release 1.2.9.1

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 17 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.6.3-5
- rebuild (qt5)

* Mon Jun 10 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.6.3-4
- Rebuild (Qt5)

* Wed Mar 13 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.6.3-3
- Requires private Qt symbols

* Thu Feb 28 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.6.3-2
- Fix translations

* Sat Feb  9 2019 mosquito <sensor.wen@gmail.com> - 1.2.6.3-1
- Update to 1.2.6.3

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.2.6.2-1
- Update to 1.2.6.2

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Mon Jul 23 2018 mosquito <sensor.wen@gmail.com> - 0.0.5-1
- Initial package build

